# -*- encoding: utf-8 -*-
# stub: minitest-distributed 0.2.4 ruby lib

Gem::Specification.new do |s|
  s.name = "minitest-distributed".freeze
  s.version = "0.2.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org", "homepage_uri" => "https://github.com/Shopify/minitest-distributed", "source_code_uri" => "https://github.com/Shopify/minitest-distributed" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Willem van Bergen".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-04-06"
  s.description = "minitest-distributed is a plugin for minitest for executing tests on a\ndistributed set of unreliable workers.\n\nWhen a test suite grows large enough, it inevitable gets too slow to run\non a single machine to give timely feedback to developers. This plugins\ncombats this issue by distributing the full test suite to a set of workers.\nEvery worker is a consuming from a single queue, so the tests get evenly\ndistributed and all workers will finish around the same time. Redis is used\nas coordinator, but when using this plugin without having access to Redis,\nit will use an in-memory coordinator.\n\nUsing multiple (virtual) machines for a test run is an (additional) source\nof flakiness. To combat flakiness, minitest-distributed implements resiliency\npatterns, like re-running a test on a different worker on failure, and\na circuit breaker for misbehaving workers.\n".freeze
  s.email = ["willem@vanbergen.org".freeze]
  s.homepage = "https://github.com/Shopify/minitest-distributed".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Distributed test executor plugin for Minitest".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<minitest>.freeze, ["~> 5.12"])
    s.add_runtime_dependency(%q<redis>.freeze, ["~> 4.2"])
    s.add_runtime_dependency(%q<sorbet-runtime>.freeze, [">= 0"])
  else
    s.add_dependency(%q<minitest>.freeze, ["~> 5.12"])
    s.add_dependency(%q<redis>.freeze, ["~> 4.2"])
    s.add_dependency(%q<sorbet-runtime>.freeze, [">= 0"])
  end
end
